
#define STR_NAME_MUTEX	_T("Mutex EPSON TM-S9000 Sample Program Step2")

typedef struct tagConfigData
{
	// Step 2
	int	nRadio_ScanningMedia;
	int	nRadio_ImageChannel;
	int	nRadio_RGBColorDepth;
	int	nRadio_IRColorDepth;
	int	nCheck_Scan_SaveFile;
	int	nCombo_Resolution;

	tagConfigData(void)
	{
		// Step 2
		nRadio_ScanningMedia	= VAL_CONFIGDLG_RADIO_SM_CHECKPAPER;
		nRadio_ImageChannel		= VAL_CONFIGDLG_RADIO_IC_RGB;
		nRadio_RGBColorDepth	= VAL_CONFIGDLG_RADIO_RGBCD_COLOR;
		nRadio_IRColorDepth		= VAL_CONFIGDLG_RADIO_IRCD_GRAY;
		nCheck_Scan_SaveFile	= VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON;
		nCombo_Resolution		= VAL_CONFIGDLG_COMBO_RE_200200;
	}

	void Copy( const tagConfigData & sData )
	{
		// Step 2
		nRadio_ScanningMedia	= sData.nRadio_ScanningMedia;
		nRadio_ImageChannel		= sData.nRadio_ImageChannel;
		nRadio_RGBColorDepth	= sData.nRadio_RGBColorDepth;
		nRadio_IRColorDepth		= sData.nRadio_IRColorDepth;
		nCheck_Scan_SaveFile	= sData.nCheck_Scan_SaveFile;
		nCombo_Resolution		= sData.nCombo_Resolution;
	}
} CONFIGDATA, *LPCONFIGDATA;
