#include "stdafx.h"
#include "BarcodeResult.h"
//#include        <string.h>


CBarcodeResult::CBarcodeResult(void)
{
	m_szBarcodeData	= NULL;
}

CBarcodeResult::~CBarcodeResult(void)
{
	if( m_szBarcodeData != NULL )
	{
		delete[] m_szBarcodeData;
		m_szBarcodeData = NULL;
	}
}

void CBarcodeResult::SetBarcodeData(LPCTSTR szBarcodeData)
{
	if( m_szBarcodeData != NULL )
	{
		delete[] m_szBarcodeData;
		m_szBarcodeData = NULL;
	}

	if( szBarcodeData == NULL )
	{
		return;
	}

	size_t nLen = _tcslen(szBarcodeData);
	m_szBarcodeData = new TCHAR[nLen+1];
	if( m_szBarcodeData != NULL )
	{
		memset( m_szBarcodeData, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s(m_szBarcodeData, nLen+1, szBarcodeData);
	}
}

LPTSTR CBarcodeResult::GetBarcodeData(void)
{
	return m_szBarcodeData;
}
