#pragma once
#include "afxwin.h"


// CDeviceStatusDlg dialog

class CDeviceStatusDlg : public CDialog
{
	DECLARE_DYNAMIC(CDeviceStatusDlg)

public:
	CDeviceStatusDlg(CWnd* pParent = NULL);   // Standard constractor
	virtual ~CDeviceStatusDlg(void);

	// Dialog resouce ID
	enum { IDD = IDD_DEVICESTATUS_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

public:
	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog(void);
	afx_msg void OnBnClickedClose(void);

// Control
protected:
	CButton	m_btnClose;

	CButton m_btnCheckDSNoResponse;
	CButton m_btnCheckDSOffLine;
	CButton m_btnCheckDSCoverOpen;
	CButton m_btnCheckDSWaitPaperEject;
	CButton m_btnCheckDSMechanicalErr;
	CButton m_btnCheckDSUnrecoverErr;
	CButton m_btnCheckDSPaperIntermediate;
	CButton m_btnCheckDSReceiptNearEnd;     // S9000 only
	CButton m_btnCheckDSEjectSensorNoPaper;
	CButton m_btnCheckDSReceiptEnd;         // S9000 only
	CButton m_btnCheckDSSlipPaperSize;
	CButton m_btnCheckDSAsfPaper;
	CButton m_btnCheckDSWaitInsert;
	CButton m_btnCheckDSMainPocketNearFull;
	CButton m_btnCheckDSSubPocketNearFull;
	CButton m_btnCheckISInkNearEnd;
	CButton m_btnCheckISInkEnd;
	CButton m_btnCheckISInkNoCartridge;
	CButton m_btnCheckISInkCleaning;

	CStatic	m_stGroupDeviceStatus;
	CStatic	m_stGroupInkStatus;

public:
	void DisplayDeviceStatus( CDeviceStatus* pcDeviceStatus );
	void DisplayInkStatus( CInkStatus* pcInkStatus );

protected:
	void LoadResourceString(void);
	void SetCheckBox( bool bResult, CButton* pbtnControl );
};
