#include "stdafx.h"
#include "MaintenanceCounter.h"

CMaintenanceCounter::CMaintenanceCounter(void)
{
	m_dwImageScannedCheckPaper	= 0;
	m_dwImageScannedCard		= 0;
	m_dwLineFeeds				= 0; // S9000 only
	m_dwPumpOperation			= 0;
	m_dwMicrReads				= 0;
	m_dwHeadShotA				= 0;
	m_dwHeadShotB				= 0;
	m_dwHeadEnergization		= 0; // S9000 only
	m_dwAsfSendingOff			= 0;
	m_dwHeadLineFeeds			= 0; // S9000 only
	m_dwAutoCutter				= 0; // S9000 only
	m_dwHopper					= 0;
	m_dwPocketSelect			= 0;
	m_dwDeviceOperationTime		= 0;
}

CMaintenanceCounter::~CMaintenanceCounter(void)
{
}

void CMaintenanceCounter::SetImageScannedCheckPaper(DWORD dwImageScannedCheckPaper)
{
	m_dwImageScannedCheckPaper = dwImageScannedCheckPaper;
}

DWORD CMaintenanceCounter::GetImageScannedCheckPaper(void)
{
	return m_dwImageScannedCheckPaper;
}

void CMaintenanceCounter::SetImageScannedCard(DWORD dwImageScannedCard)
{
	m_dwImageScannedCard = dwImageScannedCard;
}

DWORD CMaintenanceCounter::GetImageScannedCard(void)
{
	return m_dwImageScannedCard;
}

void CMaintenanceCounter::SetLineFeeds(DWORD dwLineFeeds)
{
	// S9000 only
	m_dwLineFeeds = dwLineFeeds;
}

DWORD CMaintenanceCounter::GetLineFeeds(void)
{
	// S9000 only
	return m_dwLineFeeds;
}

void CMaintenanceCounter::SetPumpOperation(DWORD dwPumpOperation)
{
	m_dwPumpOperation = dwPumpOperation;
}

DWORD CMaintenanceCounter::GetPumpOperation(void)
{
	return m_dwPumpOperation;
}

void CMaintenanceCounter::SetMicrReads(DWORD dwMicrReads)
{
	m_dwMicrReads = dwMicrReads;
}

DWORD CMaintenanceCounter::GetMicrReads(void)
{
	return m_dwMicrReads;
}

void CMaintenanceCounter::SetHeadShotA(DWORD dwHeadShotA)
{
	m_dwHeadShotA = dwHeadShotA;
}

DWORD CMaintenanceCounter::GetHeadShotA(void)
{
	return m_dwHeadShotA;
}

void CMaintenanceCounter::SetHeadShotB(DWORD dwHeadShotB)
{
	m_dwHeadShotB = dwHeadShotB;
}

DWORD CMaintenanceCounter::GetHeadShotB(void)
{
	return m_dwHeadShotB;
}

void CMaintenanceCounter::SetHeadEnergization(DWORD dwHeadEnergization)
{
	// S9000 only
	m_dwHeadEnergization = dwHeadEnergization;
}

DWORD CMaintenanceCounter::GetHeadEnergization(void)
{
	// S9000 only
	return m_dwHeadEnergization;
}

void CMaintenanceCounter::SetAsfSendingOff(DWORD dwAsfSendingOff)
{
	m_dwAsfSendingOff = dwAsfSendingOff;
}

DWORD CMaintenanceCounter::GetAsfSendingOff(void)
{
	return m_dwAsfSendingOff;
}

void CMaintenanceCounter::SetHeadLineFeeds(DWORD dwHeadLineFeeds)
{
	// S9000 only
	m_dwHeadLineFeeds = dwHeadLineFeeds;
}

DWORD CMaintenanceCounter::GetHeadLineFeeds(void)
{
	// S9000 only
	return m_dwHeadLineFeeds;
}

void CMaintenanceCounter::SetAutoCutter(DWORD dwAutoCutter)
{
	// S9000 only
	m_dwAutoCutter = dwAutoCutter;
}

DWORD CMaintenanceCounter::GetAutoCutter(void)
{
	// S9000 only
	return m_dwAutoCutter;
}

void CMaintenanceCounter::SetHopper(DWORD dwHopper)
{
	m_dwHopper = dwHopper;
}

DWORD CMaintenanceCounter::GetHopper(void)
{
	return m_dwHopper;
}

void CMaintenanceCounter::SetPocketSelect(DWORD dwPocketSelect)
{
	m_dwPocketSelect = dwPocketSelect;
}

DWORD CMaintenanceCounter::GetPocketSelect(void)
{
	return m_dwPocketSelect;
}

void CMaintenanceCounter::SetDeviceOperationTime(DWORD dwDeviceOperationTime)
{
	m_dwDeviceOperationTime = dwDeviceOperationTime;
}

DWORD CMaintenanceCounter::GetDeviceOperationTime(void)
{
	return m_dwDeviceOperationTime;
}

