VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Print_01"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Private m_pCProperty As Property_1
Private m_mfScanFront As MF_SCAN
Private m_mfScanBack As MF_SCAN
Private m_mfBase As MF_BASE01

Private Sub Class_Initialize()

    If (m_pCProperty Is Nothing) Then
        Set m_pCProperty = New Property_1
    End If

End Sub

Public Sub SetProperty(ByRef pCProperty As Property_1)

    Set m_pCProperty = pCProperty

End Sub

'// Print on roll paper
Public Function PrintRollpaper() As Long

    '// S9000 only
    Dim lResult As Long
    lResult = SUCCESS
    
    '// Set printing unit to roll paper
    lResult = BiSetPrintStation(m_pCProperty.GetHandle(), MF_ST_ROLLPAPER)
    If Not (lResult = SUCCESS) Then
        
        PrintRollpaper = lResult
        Exit Function
    
    End If

    '// Start print data buffering
    lResult = BiBufferedPrint(m_pCProperty.GetHandle(), MF_PRT_BUFFERING)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    '// Set image data for printing
    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_CENTER)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintSize(m_pCProperty.GetHandle(), 65, 15)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    lResult = BiPrintImage(m_pCProperty.GetHandle(), "Logo.bmp")
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    '// Set printing text

    Dim stSystemTime As SYSTEMTIME
    Dim strTimeString As String
    Dim strRollPaperString As String
    
    Dim tDecorate As mf_Decorate
    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_NO_ATTRIBUTE, 4)
    Call CopyMemory(tDecorate.wFont(1), MF_PRINT_FONT_B, 2)
    Call CopyMemory(tDecorate.szFontName(1), "", 4)
    Call CopyMemory(tDecorate.wFontSize(1), MF_PRINT_FONT_W1_H1, 2)

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_RIGHT)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    strRollPaperString = "" & vbCrLf & vbCrLf & "600 Grant Street Pittsburgh, PA 15219" & vbCrLf
    strRollPaperString = strRollPaperString & "Phone: (555)555-5555" & vbCrLf & vbCrLf & vbCrLf

    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    
    Call CopyMemory(tDecorate.wFont(1), MF_PRINT_FONT_A, 2)
    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_LEFT)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    GetLocalTime stSystemTime

    strRollPaperString = "Station S1             Teller 0001 Seq# 02" & vbCrLf
    strRollPaperString = strRollPaperString & Format$(stSystemTime.nDay, "00") & "/" & Format$(stSystemTime.nMonth, "00") & "/" & Format$(stSystemTime.nYear, "00")
    strRollPaperString = strRollPaperString & "                        "
    strRollPaperString = strRollPaperString & Format$(stSystemTime.nHour, "00") & ":" & Format$(stSystemTime.nMinute, "00") & ":" & Format$(stSystemTime.nSecond, "00") & vbCrLf & vbCrLf

    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_CENTER)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    strRollPaperString = "Deposit Transaction Receipt" & vbCrLf & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_LEFT)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_UNDERLINE_1, 4)
    strRollPaperString = "Deposit Ticket                   Amount($)" & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_NO_ATTRIBUTE, 4)
    strRollPaperString = "Account #1234567890               1,000.00" & vbCrLf & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_UNDERLINE_1, 4)
    strRollPaperString = "Demosited Items                  Amount($)" & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_NO_ATTRIBUTE, 4)
    strRollPaperString = "Personal Check" & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    strRollPaperString = "1234567890-1541                   1,000.00" & vbCrLf & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_RIGHT)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    strRollPaperString = "---------" & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_LEFT)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    
    strRollPaperString = "Total:                            1,000.0" & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_CENTER)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If

    strRollPaperString = "Successful Deposit Transaction." & vbCrLf & vbCrLf
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strRollPaperString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    '// Set printing barcode
    lResult = BiSetPrintAlignment(m_pCProperty.GetHandle(), MF_PRINT_ALIGNMENT_CENTER)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    lResult = BiSetPrintSize(m_pCProperty.GetHandle(), 30, 15)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    Dim byBarcode() As Byte
    Dim lBarcodeSize As Long
    Dim strStringData As String
    
    strStringData = "123456789"
    lBarcodeSize = Len(strStringData)
    ReDim byBarcode(lBarcodeSize - 1)
    Call SetBarcodeData(byBarcode, strStringData, lBarcodeSize)
    
    lResult = BiPrintBarCode(m_pCProperty.GetHandle(), byBarcode(0), lBarcodeSize, CODE_CODE39, HRI_BELOW)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    
    strStringData = "EXCEED YOUR VISION EXCEED YOUR VISION EXCEED YOUR VISION EXCEED YOUR VISION EXCEED YOUR VISION"
    lBarcodeSize = Len(strStringData)
    ReDim byBarcode(lBarcodeSize)
    Call SetBarcodeData(byBarcode, strStringData, lBarcodeSize)
    
    lResult = BiPrintBarCode(m_pCProperty.GetHandle(), byBarcode(0), lBarcodeSize, CODE_PDF417, HRI_NONE)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    
    '// Auto cut
    lResult = BiAutoCutRollPaper(m_pCProperty.GetHandle(), AUTOCUT_FEEDANDCUT)
    If Not (lResult = SUCCESS) Then

    PrintRollpaper = lResult
    Exit Function
    
    End If

    '// print buffered printing data
    lResult = BiBufferedPrint(m_pCProperty.GetHandle(), MF_PRT_EXEC)
    If Not (lResult = SUCCESS) Then
    
        PrintRollpaper = lResult
        Exit Function
    
    End If
    

    PrintRollpaper = lResult

End Function

'// Print on cut sheet paper
Public Function PrintReceipt() As Long

    Dim lResult As Long
    Dim lLoadNum As Long
    Dim strPath As String
    Dim strDir As String
    Dim sInfo As PRINTAREAINFO
    
    lResult = SUCCESS
    

    '// Set printing unit to cut sheet paper
    lResult = BiSetPrintStation(m_pCProperty.GetHandle(), MF_ST_FEEDER)
    If Not (lResult = SUCCESS) Then
    
        PrintReceipt = lResult
        Exit Function
    
    End If
    
    '// Load print information file for template printing
    strDir = CurDir$()
    strPath = strDir & "\" & "FormatSettingStep5.ini"

    lResult = BiLoadTemplatePrintArea(m_pCProperty.GetHandle(), strPath, lLoadNum)
    If Not (lResult = SUCCESS) Then
    
        PrintReceipt = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintCutSheetSettings(m_pCProperty.GetHandle(), 1, BI_PRINTCUTSHEET_NOSCAN)
    If Not (lResult = SUCCESS) Then
    
        PrintReceipt = lResult
        Exit Function
    
    End If

    lResult = FunctionPrintCutSheetBase(m_pCProperty.GetHandle(), m_mfBase, MF_GET_BASE_DEFAULT)
    If Not (lResult = SUCCESS) Then
    
        PrintReceipt = lResult
        Exit Function
    
    End If

    Call CopyMemory(m_mfBase.iSize(1), CLng(LenB(m_mfBase)), 4)
    Call CopyMemory(m_mfBase.iVersion(1), MF_BASE_VERSION01, 4)

    lResult = FunctionPrintCutSheetBase(m_pCProperty.GetHandle(), m_mfBase, MF_SET_BASE_PARAM)
    If Not (lResult = SUCCESS) Then
    
        PrintReceipt = lResult
        Exit Function
    
    End If
    
    lResult = BiPrintCutSheet(m_pCProperty.GetHandle(), Nothing, MF_EXEC)
    PrintReceipt = lResult

End Function

'// Set contents of cut sheet paper printing
Public Function PrintReceiptFunction() As Long

    Dim sInfo As PRINTAREAINFO
    Dim lResult As Long
    lResult = SUCCESS

    '// Start buffering of print data for template printing
    lResult = BiTemplatePrint(m_pCProperty.GetHandle(), TEMPLATEPRINT_BUFFERING)
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If
    
    '// Set image data for printing
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "ReceiptLogo", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If

    lResult = BiPrintImage(m_pCProperty.GetHandle(), "ReceiptImage.bmp")
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If
    
    '// Set print text
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "ReceiptText", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If
    
    Dim tDecorate As mf_Decorate
    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_NO_ATTRIBUTE, 4)
    Call CopyMemory(tDecorate.wFont(1), MF_PRINT_FONT_A, 2)
    Call CopyMemory(tDecorate.szFontName(1), "", 4)
    Call CopyMemory(tDecorate.wFontSize(1), MF_PRINT_FONT_W1_H1, 2)

    Dim strReceiptText As String
    Dim stSystemTime As SYSTEMTIME
    Dim strWeek(6) As String
    strWeek(0) = "Sun"
    strWeek(1) = "Mon"
    strWeek(2) = "Tue"
    strWeek(3) = "Wed"
    strWeek(4) = "Thu"
    strWeek(5) = "Fri"
    strWeek(6) = "Sat"

    GetLocalTime stSystemTime
    strReceiptText = Format$(stSystemTime.nDay, "00") & ":" & Format$(stSystemTime.nMonth, "00") & ":" & Format$(stSystemTime.nYear, "0000")
    strReceiptText = strReceiptText & " " & strWeek(stSystemTime.nDayOfWeek) & " "
    strReceiptText = strReceiptText & Format$(stSystemTime.nHour, "00") & ":" & Format$(stSystemTime.nMinute, "00") & ":" & Format$(stSystemTime.nSecond, "00")
    strReceiptText = strReceiptText & Format$(stSystemTime.nMilliseconds, "00") & vbCrLf

    strReceiptText = strReceiptText & "nTran #" & Format$((dwTransaction - 1), "00000") & vbCrLf
    strReceiptText = strReceiptText & "nEntity NCS CC 9999999 Tlr 99999" & vbCrLf
    strReceiptText = strReceiptText & "Acct Type SAV" & vbCrLf
    strReceiptText = strReceiptText & "Available Balance" & vbTab & "2000.00" & vbCrLf

    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strReceiptText, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If
    
    '// Print buffered printing data
    lResult = BiTemplatePrint(m_pCProperty.GetHandle(), TEMPLATEPRINT_EXEC)
    If Not (lResult = SUCCESS) Then
    
        PrintReceiptFunction = lResult
        Exit Function
    
    End If

    PrintReceiptFunction = lResult

End Function

'// Set contents of cashiers check printing
Public Function SetCashierscheckPrintSetting() As Long

    Dim lResult As Long
    Dim lLoadNum As Long
    Dim strPath As String
    Dim strDir As String
    Dim sInfo As PRINTAREAINFO
    
    lResult = SUCCESS

    '// Set printing unit to cut sheet paper
    lResult = BiSetPrintStation(m_pCProperty.GetHandle(), MF_ST_FEEDER)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckPrintSetting = lResult
        Exit Function
    
    End If
    
    '// Load print information file for template printing
    strDir = CurDir$()
    strPath = strDir & "\" & "FormatSettingStep5.ini"

    lResult = BiLoadTemplatePrintArea(m_pCProperty.GetHandle(), strPath, lLoadNum)
    If Not (lResult = SUCCESS) Then
        
        SetCashierscheckPrintSetting = lResult
        Exit Function
    
    End If

    lResult = BiSetPrintCutSheetSettings(m_pCProperty.GetHandle(), m_pCProperty.GetPrintingNumber(), m_pCProperty.GetAfterScanning())
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckPrintSetting = lResult
        Exit Function
    
    End If

    SetCashierscheckPrintSetting = lResult

End Function

'// Set MF_SCAN structure for cashiers check printing
Public Function SetCashierscheckScanSetting() As Long

    Dim lResult As Long
    lResult = SUCCESS

    lResult = BiSCNSelectScanUnit(m_pCProperty.GetHandle(), EPS_BI_SCN_UNIT_CHECKPAPER)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    lResult = BiSCNSelectScanFace(m_pCProperty.GetHandle(), MF_SCAN_FACE_FRONT)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If
    
    lResult = BiSCNSetImageTypeOption(m_pCProperty.GetHandle(), EPS_BI_SCN_OPTION_COLOR)
    If Not (lResult = SUCCESS) Then
        
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    lResult = BiSCNSelectScanFace(m_pCProperty.GetHandle(), MF_SCAN_FACE_BACK)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If
    
    lResult = BiSCNSetImageTypeOption(m_pCProperty.GetHandle(), EPS_BI_SCN_OPTION_COLOR)
    If Not (lResult = SUCCESS) Then
        
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    '// Set scanning setting for printed side
    lResult = FunctionPrintCutSheetScan(m_pCProperty.GetHandle(), m_mfScanFront, MF_GET_SCAN_PRINTAREA_DEFAULT)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    Call CopyMemory(m_mfScanFront.iSize(1), CLng(LenB(m_mfScanFront)), 4)
    Call CopyMemory(m_mfScanFront.iVersion(1), MF_SCAN_VERSION, 4)

    lResult = FunctionPrintCutSheetScan(m_pCProperty.GetHandle(), m_mfScanFront, MF_SET_SCAN_PRINTAREA_PARAM)
    If Not (lResult = SUCCESS) Then
    
       SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    '// Set scanning setting for reverse side
    lResult = FunctionPrintCutSheetScan(m_pCProperty.GetHandle(), m_mfScanBack, MF_GET_SCAN_NOPRINTAREA_DEFAULT)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If
    
    Call CopyMemory(m_mfScanBack.iSize(1), CLng(LenB(m_mfScanBack)), 4)
    Call CopyMemory(m_mfScanBack.iVersion(1), MF_SCAN_VERSION, 4)

    lResult = FunctionPrintCutSheetScan(m_pCProperty.GetHandle(), m_mfScanBack, MF_SET_SCAN_NOPRINTAREA_PARAM)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckScanSetting = lResult
        Exit Function
    
    End If

    SetCashierscheckScanSetting = lResult

End Function

'// Set MF_BASE structure for cashiers check printing
Public Function SetCashierscheckBaseSetting() As Long

    Dim lResult As Long
    lResult = SUCCESS

    lResult = FunctionPrintCutSheetBase(m_pCProperty.GetHandle(), m_mfBase, MF_GET_BASE_DEFAULT)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckBaseSetting = lResult
        Exit Function
    
    End If

    Call CopyMemory(m_mfBase.iSize(1), CLng(LenB(m_mfBase)), 4)
    Call CopyMemory(m_mfBase.iVersion(1), MF_BASE_VERSION01, 4)

    lResult = FunctionPrintCutSheetBase(m_pCProperty.GetHandle(), m_mfBase, MF_SET_BASE_PARAM)
    If Not (lResult = SUCCESS) Then
    
        SetCashierscheckBaseSetting = lResult
        Exit Function
    
    End If

    SetCashierscheckBaseSetting = lResult

End Function

'// Perform cashiers check printing
Public Function PrintCashierscheck() As Long

    Dim lResult As Long
    lResult = SUCCESS

    lResult = BiPrintCutSheet(m_pCProperty.GetHandle(), Nothing, MF_EXEC)

    PrintCashierscheck = lResult

End Function

'// Set contents of cashiers check printing
Public Function PrintCashierscheckFunction() As Long

    Dim lResult As Long
    Dim sInfo As PRINTAREAINFO
    
    lResult = SUCCESS

    '// Start buffering of print data for template printing
    lResult = BiTemplatePrint(m_pCProperty.GetHandle(), TEMPLATEPRINT_BUFFERING)
    If Not (lResult = SUCCESS) Then
        
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If
    
    '// Set image data for printing
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "CashiersSignature", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    lResult = BiPrintImage(m_pCProperty.GetHandle(), "CashiresSign.bmp")
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    '// Set print text
    Dim tDecorate As mf_Decorate
    Call CopyMemory(tDecorate.dwAttribute(1), MF_PRINT_NO_ATTRIBUTE, 4)
    Call CopyMemory(tDecorate.wFont(1), MF_PRINT_FONT_A, 2)
    Call CopyMemory(tDecorate.szFontName(1), "", 4)
    Call CopyMemory(tDecorate.wFontSize(1), MF_PRINT_FONT_W1_H1, 2)

    Dim stSystemTime As SYSTEMTIME
    Dim strCashiersString As String
    Dim strMonth(12) As String
    strMonth(0) = "Jan"
    strMonth(1) = "Feb"
    strMonth(2) = "Tue"
    strMonth(3) = "Mar"
    strMonth(4) = "Apr"
    strMonth(5) = "May"
    strMonth(6) = "Jun"
    strMonth(7) = "Jul"
    strMonth(8) = "Aug"
    strMonth(9) = "Sep"
    strMonth(10) = "Oct"
    strMonth(11) = "Nov"
    strMonth(12) = "Dec"
    
    '/*Date*/
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "CashiersDate", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If
    
    GetLocalTime stSystemTime
    
    strCashiersString = strMonth(stSystemTime.nMonth) & " " & _
                         Format$(stSystemTime.nDay, "00") & "," & _
                         Format$(stSystemTime.nYear, "00")

    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strCashiersString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    '/*Name*/
    Call CopyMemory(tDecorate.wFontSize(1), MF_PRINT_FONT_W2_H1, 2)
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "CashiersName", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    strCashiersString = "Taro Nanashi"
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strCashiersString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    '/*OrderNum*/
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "CashiersOrderNum", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    strCashiersString = "2500.00"
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strCashiersString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    '/*OrderNum*/
    lResult = BiSetTemplatePrintArea(m_pCProperty.GetHandle(), SELECTPRINTAREA_AREANAME, "CashiersOrderString", sInfo, TRANS_NO_SPECIFIED)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    strCashiersString = "Two thousand five hundred and 00 Cents"
    lResult = BiPrintTextToVB(m_pCProperty.GetHandle(), strCashiersString, tDecorate)
    If Not (lResult = SUCCESS) Then
    
        PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    '// Print buffered printing data
    lResult = BiTemplatePrint(m_pCProperty.GetHandle(), TEMPLATEPRINT_EXEC)
    If Not (lResult = SUCCESS) Then
    
       PrintCashierscheckFunction = lResult
        Exit Function
    
    End If

    PrintCashierscheckFunction = lResult

End Function

Private Sub SetBarcodeData(ByRef sBarcodeData() As Byte, ByVal strStringData As String, ByVal lBarcodeLen As Long)

    Dim lCounter As Long
    
    For lCounter = 1 To lBarcodeLen
        
        sBarcodeData(lCounter - 1) = Asc(Mid$(strStringData, lCounter, 1))

    Next lCounter

End Sub

'// Check if the roll paper is supported as print station.
Public Function IsRollPaperSupported() As Boolean
    
    '// S9000 only
    Dim lResult As Long
    lResult = BiSetPrintStation(m_pCProperty.GetHandle(), MF_ST_ROLLPAPER)
    If lResult = SUCCESS Then
        
        IsRollPaperSupported = True
        Exit Function
    
    End If
            
    IsRollPaperSupported = False

End Function
