﻿using System;
using com.epson.bank.driver;

namespace TM_S9000Sample
{
    class CEndorseParam
    {
        PrintingStation m_eEndorseType;
        bool            m_bPrintText;
        bool            m_bPrintImage;

        public CEndorseParam()
        {
            m_eEndorseType = PrintingStation.MF_ST_PHYSICAL_ENDORSEMENT;
	        m_bPrintText	= false;
	        m_bPrintImage	= false;
        }

        public void SetEndorseType(PrintingStation eEndorseType)
        {
            m_eEndorseType = eEndorseType;
        }

        public PrintingStation GetEndorseType()
        {
            return m_eEndorseType;
        }

        public void SetPrintText(bool bPrintText)
        {
	        m_bPrintText = bPrintText;
        }

        public bool GetPrintText()
        {
	        return m_bPrintText;
        }

        public void SetPrintImage(bool bPrintImage)
        {
	        m_bPrintImage = bPrintImage;
        }

        public bool GetPrintImage()
        {
	        return m_bPrintImage;
        }
    }
}
