﻿using System;
using com.epson.bank.driver;

namespace TM_S9000Sample
{
    class CScanParam
    {
        ImageTypeOption m_eImageChannel;
        ColorDepth      m_eRGBColorDepth;
        ColorDepth      m_eIRColorDepth;
        MfScanDpi       m_eResolution;
        ScanUnit        m_eScanMedia;

        public CScanParam()
        {
	        m_eImageChannel	    = 0;
	        m_eRGBColorDepth	= 0;
	        m_eIRColorDepth	    = 0;
	        m_eResolution		= 0;
	        m_eScanMedia		= 0;
        }

        public void SetImageChannel(ImageTypeOption eImageChannel)
        {
	        m_eImageChannel = eImageChannel;
        }

        public ImageTypeOption GetImageChannel()
        {
	        return m_eImageChannel;
        }

        public void SetRGBColorDepth(ColorDepth eColorDepth)
        {
	        m_eRGBColorDepth = eColorDepth;
        }

        public ColorDepth GetRGBColorDepth()
        {
	        return m_eRGBColorDepth;
        }

        public void SetIRColorDepth(ColorDepth eColorDepth)
        {
	        m_eIRColorDepth = eColorDepth;
        }

        public ColorDepth GetIRColorDepth()
        {
	        return m_eIRColorDepth;
        }

        public void SetResolution(MfScanDpi eResolution)
        {
	        m_eResolution = eResolution;
        }

        public MfScanDpi GetResolution()
        {
	        return m_eResolution;
        }

        public void SetScanMedia(ScanUnit eScanMedia)
        {
	        m_eScanMedia = eScanMedia;
        }

        public ScanUnit GetScanMedia()
        {
	        return m_eScanMedia;
        }

    }
}
