
#define STR_NAME_MUTEX	_T("Mutex EPSON TM-S9000 Sample Program Step4")

typedef struct tagConfigData
{
	// Step 2
	int	nRadio_ScanningMedia;
	int	nRadio_ImageChannel;
	int	nRadio_RGBColorDepth;
	int	nRadio_IRColorDepth;
	int	nCheck_Scan_SaveFile;
	int	nCombo_Resolution;

	// Step 3
	int	nRadio_MICRFont;
	int	nCheck_MICR_ClearSpace;
	int	nCheck_MICR_SaveFile;

	// Step 4
	int nRadio_PrintType;
	int nRadio_PrintMode;
	int nCheck_Endorsement_PrintText;
	int nCheck_Endorsement_PrintImage;
	int nCheck_Endorsement_PrnDataUnreceiveCancel;

	tagConfigData(void)
	{
		// Step 2
		nRadio_ScanningMedia	= VAL_CONFIGDLG_RADIO_SM_CHECKPAPER;
		nRadio_ImageChannel		= VAL_CONFIGDLG_RADIO_IC_RGB;
		nRadio_RGBColorDepth	= VAL_CONFIGDLG_RADIO_RGBCD_COLOR;
		nRadio_IRColorDepth		= VAL_CONFIGDLG_RADIO_IRCD_GRAY;
		nCheck_Scan_SaveFile	= VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON;
		nCombo_Resolution		= VAL_CONFIGDLG_COMBO_RE_200200;

		// Step 3
		nRadio_MICRFont			= VAL_CONFIGDLG_RADIO_MF_E13B;
		nCheck_MICR_ClearSpace	= VAL_CONFIGDLG_CHECK_MI_CLEARSPACE_OFF;
		nCheck_MICR_SaveFile	= VAL_CONFIGDLG_CHECK_MI_SAVEFILE_OFF;

		// Step 4
		nRadio_PrintType							= VAL_CONFIGDLG_RADIO_PT_PHYSICAL;
		nRadio_PrintMode							= VAL_CONFIGDLG_RADIO_PM_HIGHSPEEDMODE;
		nCheck_Endorsement_PrintText				= VAL_CONFIGDLG_CHECK_EN_PRINTTEXT_OFF;
		nCheck_Endorsement_PrintImage				= VAL_CONFIGDLG_CHECK_EN_PRINTIMAGE_OFF;
		nCheck_Endorsement_PrnDataUnreceiveCancel	= VAL_CONFIGDLG_CHECK_EN_PRNDATAUNRECEIVECANCEL_ON;
	}

	void Copy( const tagConfigData & sData )
	{
		// Step 2
		nRadio_ScanningMedia	= sData.nRadio_ScanningMedia;
		nRadio_ImageChannel		= sData.nRadio_ImageChannel;
		nRadio_RGBColorDepth	= sData.nRadio_RGBColorDepth;
		nRadio_IRColorDepth		= sData.nRadio_IRColorDepth;
		nCheck_Scan_SaveFile	= sData.nCheck_Scan_SaveFile;
		nCombo_Resolution		= sData.nCombo_Resolution;

		// Step 3
		nRadio_MICRFont			= sData.nRadio_MICRFont;
		nCheck_MICR_ClearSpace	= sData.nCheck_MICR_ClearSpace;
		nCheck_MICR_SaveFile	= sData.nCheck_MICR_SaveFile;

		// Step 4
		nRadio_PrintType							= sData.nRadio_PrintType;
		nRadio_PrintMode							= sData.nRadio_PrintMode;
		nCheck_Endorsement_PrintText				= sData.nCheck_Endorsement_PrintText;
		nCheck_Endorsement_PrintImage				= sData.nCheck_Endorsement_PrintImage;
		nCheck_Endorsement_PrnDataUnreceiveCancel	= sData.nCheck_Endorsement_PrnDataUnreceiveCancel;
	}
} CONFIGDATA, *LPCONFIGDATA;
