#include "stdafx.h"
#include "IqaParam.h"

CIqaParam::CIqaParam(void)
{
	m_byIqaDetect				= MF_ERROR_SELECT_NODETECT;
	m_byColorDepth				= EPS_BI_SCN_1BIT;
	m_byCancel					= MF_CANCEL_DISABLE;
	m_byEjectPocket				= MF_EJECT_MAIN_POCKET;
	m_byUnderSize				= MF_IQA_TEST_DISABLE;
	m_byOverSize				= MF_IQA_TEST_DISABLE;
	m_byMinCompressed			= MF_IQA_TEST_DISABLE;
	m_byMaxCompressed			= MF_IQA_TEST_DISABLE;
	m_byFrontRearImageMismatch	= MF_IQA_TEST_DISABLE;
	m_byImageTooLight			= MF_IQA_TEST_DISABLE;
	m_byImageTooDark			= MF_IQA_TEST_DISABLE;
	m_byStreaks					= MF_IQA_TEST_DISABLE;
	m_bySpotNoise				= MF_IQA_TEST_DISABLE;
	m_byOutOfFocus				= MF_IQA_TEST_DISABLE;
	m_byFoldedTornCorner		= MF_IQA_TEST_DISABLE;
	m_byFoldedTornEdge			= MF_IQA_TEST_DISABLE;
	m_byFramingError			= MF_IQA_TEST_DISABLE;
	m_byExcessiveSkew			= MF_IQA_TEST_DISABLE;
	m_byCarbon					= MF_IQA_TEST_DISABLE;
	m_byPiggyback				= MF_IQA_TEST_DISABLE;
}

CIqaParam::~CIqaParam(void)
{
}

void CIqaParam::SetIqaDetect(BYTE byIqaDetect)
{
	m_byIqaDetect = byIqaDetect;
}

BYTE CIqaParam::GetIqaDetect(void)
{
	return m_byIqaDetect;
}

void CIqaParam::SetIqaColorDepth(BYTE byColorDepth)
{
	m_byColorDepth = byColorDepth;
}

BYTE CIqaParam::GetIqaColorDepth(void)
{
	return m_byColorDepth;
}

void CIqaParam::SetIqaCancel(BYTE byCancel)
{
	m_byCancel = byCancel;
}

BYTE CIqaParam::GetIqaCancel(void)
{
	return m_byCancel;
}

void CIqaParam::SetIqaEjectPocket(BYTE byEjectPocket)
{
	m_byEjectPocket = byEjectPocket;
}

BYTE CIqaParam::GetIqaEjectPocket(void)
{
	return m_byEjectPocket;
}

void CIqaParam::SetUnderSize(BYTE byUnderSize)
{
	m_byUnderSize = byUnderSize;
}

BYTE CIqaParam::GetUnderSize(void)
{
	return m_byUnderSize;
}

void CIqaParam::SetOverSize(BYTE byOverSize)
{
	m_byOverSize = byOverSize;
}

BYTE CIqaParam::GetOverSize(void)
{
	return m_byOverSize;
}

void CIqaParam::SetMinCompressed(BYTE byMinCompressed)
{
	m_byMinCompressed = byMinCompressed;
}

BYTE CIqaParam::GetMinCompressed(void)
{
	return m_byMinCompressed;
}

void CIqaParam::SetMaxCompressed(BYTE byMaxCompressed)
{
	m_byMaxCompressed = byMaxCompressed;
}

BYTE CIqaParam::GetMaxCompressed(void)
{
	return m_byMaxCompressed;
}

void CIqaParam::SetFrontRearImageMismatch(BYTE byFrontRearImageMismatch)
{
	m_byFrontRearImageMismatch = byFrontRearImageMismatch;
}

BYTE CIqaParam::GetFrontRearImageMismatch(void)
{
	return m_byFrontRearImageMismatch;
}

void CIqaParam::SetImageTooLight(BYTE byImageTooLight)
{
	m_byImageTooLight = byImageTooLight;
}

BYTE CIqaParam::GetImageTooLight(void)
{
	return m_byImageTooLight;
}

void CIqaParam::SetImageTooDark(BYTE byImageTooDark)
{
	m_byImageTooDark = byImageTooDark;
}

BYTE CIqaParam::GetImageTooDark(void)
{
	return m_byImageTooDark;
}

void CIqaParam::SetHorizontalStreaksPresent(BYTE byStreaks)
{
	m_byStreaks = byStreaks;
}

BYTE CIqaParam::GetHorizontalStreaksPresent(void)
{
	return m_byStreaks;
}

void CIqaParam::SetSpotNoise(BYTE bySpotNosise)
{
	m_bySpotNoise = bySpotNosise;
}

BYTE CIqaParam::GetSpotNoise(void)
{
	return m_bySpotNoise;
}

void CIqaParam::SetOutOfFocus(BYTE byOutOfFocus)
{
	m_byOutOfFocus = byOutOfFocus;
}

BYTE CIqaParam::GetOutOfFocus(void)
{
	return m_byOutOfFocus;
}

void CIqaParam::SetFoldedTornCorner(BYTE byFoldedTornCorner)
{
	m_byFoldedTornCorner = byFoldedTornCorner;
}

BYTE CIqaParam::GetFoldedTornCorner(void)
{
	return m_byFoldedTornCorner;
}

void CIqaParam::SetFoldedTornEdge(BYTE byFoldedTornEdge)
{
	m_byFoldedTornEdge = byFoldedTornEdge;
}

BYTE CIqaParam::GetFoldedTornEdge(void)
{
	return m_byFoldedTornEdge;
}

void CIqaParam::SetFramingError(BYTE byFramingError)
{
	m_byFramingError = byFramingError;
}

BYTE CIqaParam::GetFramingError(void)
{
	return m_byFramingError;
}

void CIqaParam::SetExcessiveSkew(BYTE byExcessiveSkew)
{
	m_byExcessiveSkew = byExcessiveSkew;
}

BYTE CIqaParam::GetExcessiveSkew(void)
{
	return m_byExcessiveSkew;
}

void CIqaParam::SetCarbonStripDetection(BYTE byCarbon)
{
	m_byCarbon = byCarbon;
}

BYTE CIqaParam::GetCarbonStripDetection(void)
{
	return m_byCarbon;
}

void CIqaParam::SetPiggyback(BYTE byPiggyback)
{
	m_byPiggyback = byPiggyback;
}

BYTE CIqaParam::GetPiggyback(void)
{
	return m_byPiggyback;
}
