////////////////
//// Step 7 ////
////////////////

// IqaResultDlg.cpp : Implementation
//

#include "stdafx.h"
#include "Resource.h"
#include "IqaResultDlg.h"


// IqaResultDlg Dialog

IMPLEMENT_DYNAMIC(CIqaResultDlg, CDialog)

CIqaResultDlg::CIqaResultDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIqaResultDlg::IDD, pParent)
{
}

CIqaResultDlg::~CIqaResultDlg(void)
{
}

void CIqaResultDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	DDX_Control(pDX, IDC_BUTTON_CLOSE, m_btnClose);

	DDX_Control(pDX, IDC_STATIC_UNDERSIZE, m_stIQUnderSize);
	DDX_Control(pDX, IDC_STATIC_OVERSIZE, m_stIQOverSize);
	DDX_Control(pDX, IDC_STATIC_MINCOMPRESSED, m_stIQMinCompressed);
	DDX_Control(pDX, IDC_STATIC_MAXCOMPRESSED, m_stIQMaxCompressed);
	DDX_Control(pDX, IDC_STATIC_FRONTREARMISMATCH, m_stIQFrontRearMismatch);
	DDX_Control(pDX, IDC_STATIC_TOOLIGHT, m_stIQTooLight);
	DDX_Control(pDX, IDC_STATIC_TOODARK, m_stIQTooDark);
	DDX_Control(pDX, IDC_STATIC_HORIZONTALSTREAKS,m_stIQHorizontalStreaks);
	DDX_Control(pDX, IDC_STATIC_SPOTNOISE, m_stIQSpotNoise);
	DDX_Control(pDX, IDC_STATIC_OUTOFFOCUS, m_stIQOutOfFocus);
	DDX_Control(pDX, IDC_STATIC_DOCCORNERS, m_stIQDocCorners);
	DDX_Control(pDX, IDC_STATIC_DOCEDGES, m_stIQDocEdges);
	DDX_Control(pDX, IDC_STATIC_FRAMINGERROR, m_stIQFramingError);
	DDX_Control(pDX, IDC_STATIC_SKEW, m_stIQSkew);
	DDX_Control(pDX, IDC_STATIC_CARBONSTRIP, m_stIQCarbonStrip);
	DDX_Control(pDX, IDC_STATIC_PIGGYBACK, m_stIQPiggyback);

	DDX_Control(pDX, IDC_EDIT_UNDERSIZE, m_edtIQUnderSize);
	DDX_Control(pDX, IDC_EDIT_OVERSIZE, m_edtIQOverSize);
	DDX_Control(pDX, IDC_EDIT_MINCOMPRESSED, m_edtIQMinCompressed);
	DDX_Control(pDX, IDC_EDIT_MAXCOMPRESSED, m_edtIQMaxCompressed);
	DDX_Control(pDX, IDC_EDIT_FRONTREARMISMATCH, m_edtIQFrontRearMismatch);
	DDX_Control(pDX, IDC_EDIT_TOOLIGHT, m_edtIQTooLight);
	DDX_Control(pDX, IDC_EDIT_TOODARK, m_edtIQTooDark);
	DDX_Control(pDX, IDC_EDIT_HORIZONTALSTREAKS,m_edtIQHorizontalStreaks);
	DDX_Control(pDX, IDC_EDIT_SPOTNOISE, m_edtIQSpotNoise);
	DDX_Control(pDX, IDC_EDIT_OUTOFFOCUS, m_edtIQOutOfFocus);
	DDX_Control(pDX, IDC_EDIT_DOCCORNERS, m_edtIQDocCorners);
	DDX_Control(pDX, IDC_EDIT_DOCEDGES, m_edtIQDocEdges);
	DDX_Control(pDX, IDC_EDIT_FRAMINGERROR, m_edtIQFramingError);
	DDX_Control(pDX, IDC_EDIT_SKEW, m_edtIQSkew);
	DDX_Control(pDX, IDC_EDIT_CARBONSTRIP, m_edtIQCarbonStrip);
	DDX_Control(pDX, IDC_EDIT_PIGGYBACK, m_edtIQPiggyback);
}


BEGIN_MESSAGE_MAP(CIqaResultDlg, CDialog)

	ON_BN_CLICKED(IDC_BUTTON_CLOSE, &CIqaResultDlg::OnBnClickedClose)

END_MESSAGE_MAP()


// CIqaResultDlg Message Handler
BOOL CIqaResultDlg::OnInitDialog(void)
{
	CDialog::OnInitDialog();

	LoadResourceString();


	return TRUE;  // return TRUE unless you set the focus to a control
}

void CIqaResultDlg::LoadResourceString(void)
{
	m_btnClose.SetWindowText( STR_IQARESULTDLG_BUTTON_CLOSE );

	m_stIQUnderSize.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_UNDERSIZE );
	m_stIQOverSize.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_OVERSIZE );
	m_stIQMinCompressed.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_MINCOMPRESSED );
	m_stIQMaxCompressed.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_MAXCOMPRESSED );
	m_stIQFrontRearMismatch.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_FRONTREARMISMATCH );
	m_stIQTooLight.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_TOOLIGHT );
	m_stIQTooDark.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_TOODARK );
	m_stIQHorizontalStreaks.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_HORIZONTALSTREAKS );
	m_stIQSpotNoise.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_SPOTNOISE );
	m_stIQOutOfFocus.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_OUTOFFOCUS );
	m_stIQDocCorners.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_DOCCORNERS );
	m_stIQDocEdges.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_DOCEDGES );
	m_stIQFramingError.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_FRAMINGERROR );
	m_stIQSkew.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_SKEW );
	m_stIQCarbonStrip.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_CARBONSTRIP );
	m_stIQPiggyback.SetWindowText( STR_IQARESULTDLG_STATIC_IQ_PIGGYBACK );
}

void CIqaResultDlg::DisplayIqaResult( CIqaResult* cIqaResult )
{
	if(cIqaResult == NULL)
	{
		return;
	}

	SetIqaResult(cIqaResult->GetUnderSize(), &m_edtIQUnderSize);
	SetIqaResult(cIqaResult->GetOverSize(), &m_edtIQOverSize);
	SetIqaResult(cIqaResult->GetMinCompressed(), &m_edtIQMinCompressed);
	SetIqaResult(cIqaResult->GetMaxCompressed(), &m_edtIQMaxCompressed);
	SetIqaResult(cIqaResult->GetFrontRearImageMismatch(), &m_edtIQFrontRearMismatch);
	SetIqaResult(cIqaResult->GetImageTooLight(), &m_edtIQTooLight);
	SetIqaResult(cIqaResult->GetImageTooDark(), &m_edtIQTooDark);
	SetIqaResult(cIqaResult->GetHorizontalStreaksPresent(), &m_edtIQHorizontalStreaks);
	SetIqaResult(cIqaResult->GetSpotNosise(), &m_edtIQSpotNoise);
	SetIqaResult(cIqaResult->GetOutOfFocus(), &m_edtIQOutOfFocus);
	SetIqaResult(cIqaResult->GetFoldedTornCorner(), &m_edtIQDocCorners);
	SetIqaResult(cIqaResult->GetFoldedTornEdge(), &m_edtIQDocEdges);
	SetIqaResult(cIqaResult->GetFramingError(), &m_edtIQFramingError);
	SetIqaResult(cIqaResult->GetExcessiveSkew(), &m_edtIQSkew);
	SetIqaResult(cIqaResult->GetCarbonStripDetection(), &m_edtIQCarbonStrip);
	SetIqaResult(cIqaResult->GetPiggyback(), &m_edtIQPiggyback);
}

void CIqaResultDlg::SetIqaResult(BYTE byIqaResult, CEdit* pedtControl )
{
	if(pedtControl == NULL)
	{
		return;
	}

	switch(byIqaResult)
	{
	case IQARESULT_NOT_TESTED:
		pedtControl->SetWindowText("Not Tested.");
		break;
	case IQARESULT_PASS:
		pedtControl->SetWindowText("Pass.");
		break;
	case IQARESULT_NOT_PASS:
		pedtControl->SetWindowText("Not Pass.");
		break;
	default:
		break;
	}
}

void CIqaResultDlg::OnBnClickedClose(void)
{
	OnCancel();
}

