#include "stdafx.h"
#include "DeviceInfo.h"

CDeviceInfo::CDeviceInfo(void)
{
	m_pbyDeviceName		= NULL;
	m_pbyFirmVersion	= NULL;
	m_pbyManufacture	= NULL;
	m_pbySerialNumber	= NULL;
	m_pbyTypeID_B		= NULL;
}

CDeviceInfo::~CDeviceInfo(void)
{
	if( m_pbyDeviceName != NULL )
	{
		delete[] m_pbyDeviceName;
		m_pbyDeviceName = NULL;
	}
	
	if( m_pbyFirmVersion != NULL )
	{
		delete[] m_pbyFirmVersion;
		m_pbyFirmVersion = NULL;
	}
	
	if( m_pbyManufacture != NULL )
	{
		delete[] m_pbyManufacture;
		m_pbyManufacture = NULL;
	}
	
	if( m_pbySerialNumber != NULL )
	{
		delete[] m_pbySerialNumber;
		m_pbySerialNumber = NULL;
	}
	
	if( m_pbyTypeID_B != NULL )
	{
		delete[] m_pbyTypeID_B;
		m_pbyTypeID_B = NULL;
	}
}

void CDeviceInfo::SetDeviceName(BYTE* pbyDeviceName)
{
	if( pbyDeviceName == NULL )
	{
		return;
	}

	if( m_pbyDeviceName != NULL )
	{
		delete[] m_pbyDeviceName;
		m_pbyDeviceName = NULL;
	}

	size_t nLen = _tcslen((const char*)pbyDeviceName);
	m_pbyDeviceName = new BYTE[nLen+1];
	if( m_pbyDeviceName != NULL )
	{
		memset( m_pbyDeviceName, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s((char*)m_pbyDeviceName, nLen+1, (const char*)pbyDeviceName);
	}
}

BYTE* CDeviceInfo::GetDeviceName(void)
{
	return m_pbyDeviceName;
}

void CDeviceInfo::SetFirmVersion(BYTE* pbyFirmVersion)
{
	if( pbyFirmVersion == NULL )
	{
		return;
	}

	if( m_pbyFirmVersion != NULL )
	{
		delete[] m_pbyFirmVersion;
		m_pbyFirmVersion = NULL;
	}

	size_t nLen = _tcslen((const char*)pbyFirmVersion);
	m_pbyFirmVersion = new BYTE[nLen+1];
	if( m_pbyFirmVersion != NULL )
	{
		memset( m_pbyFirmVersion, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s((char*)m_pbyFirmVersion, nLen+1, (const char*)pbyFirmVersion);
	}
}

BYTE* CDeviceInfo::GetFirmVersion(void)
{
	return m_pbyFirmVersion;
}

void CDeviceInfo::SetManufacture(BYTE* pbyManufacture)
{
	if( pbyManufacture == NULL )
	{
		return;
	}

	if( m_pbyManufacture != NULL )
	{
		delete[] m_pbyManufacture;
		m_pbyManufacture = NULL;
	}

	size_t nLen = _tcslen((const char*)pbyManufacture);
	m_pbyManufacture = new BYTE[nLen+1];
	if( m_pbyManufacture != NULL )
	{
		memset( m_pbyManufacture, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s((char*)m_pbyManufacture, nLen+1, (const char*)pbyManufacture);
	}
}

BYTE* CDeviceInfo::GetManufacture(void)
{
	return m_pbyManufacture;
}

void CDeviceInfo::SetSerialNumber(BYTE* pbySerialNumber)
{
	if( pbySerialNumber == NULL )
	{
		return;
	}

	if( m_pbySerialNumber != NULL )
	{
		delete[] m_pbySerialNumber;
		m_pbySerialNumber = NULL;
	}

	size_t nLen = _tcslen((const char*)pbySerialNumber);
	m_pbySerialNumber = new BYTE[nLen+1];
	if( m_pbySerialNumber != NULL )
	{
		memset( m_pbySerialNumber, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s((char*)m_pbySerialNumber, nLen+1, (const char*)pbySerialNumber);
	}
}

BYTE* CDeviceInfo::GetSerialNumber(void)
{
	return m_pbySerialNumber;
}

void CDeviceInfo::SetTypeIdB(BYTE* pbyTypeID_B)
{
	if( pbyTypeID_B == NULL )
	{
		return;
	}

	if( m_pbyTypeID_B != NULL )
	{
		delete[] m_pbyTypeID_B;
		m_pbyTypeID_B = NULL;
	}

	size_t nLen = _tcslen((const char*)pbyTypeID_B);
	m_pbyTypeID_B = new BYTE[nLen+1];
	if( m_pbyTypeID_B != NULL )
	{
		memset( m_pbyTypeID_B, 0, sizeof(TCHAR) * (nLen + 1) );
		_tcscpy_s((char*)m_pbyTypeID_B, nLen+1, (const char*)pbyTypeID_B);
	}
}

BYTE* CDeviceInfo::GetTypeIdB(void)
{
	return m_pbyTypeID_B;
}

