
Namespace TM_S9000Sample
	Public Class StructByStep
		' Step 2
		Public nRadio_ScanningMedia As Integer
		Public nRadio_ImageChannel As Integer
		Public nRadio_RGBColorDepth As Integer
		Public nRadio_IRColorDepth As Integer
		Public bCheck_Scan_SaveFile As Boolean
		Public nCombo_Resolution As Integer

		' Step 3
		Public nRadio_MICRFont As Integer
		Public bCheck_MICR_ClearSpace As Boolean
		Public bCheck_MICR_SaveFile As Boolean

		' Step 5
		Public nCombo_PrintStation As Integer
		Public bCheck_Print_Scanning As Boolean
		Public byNumeric_Ptinting_Number As Byte
		Public bIsRollPaperSupported As Boolean

		Public Sub New()
			' Step 2
			nRadio_ScanningMedia = ConstComVal.VAL_CONFIGDLG_RADIO_SM_CHECKPAPER
			nRadio_ImageChannel = ConstComVal.VAL_CONFIGDLG_RADIO_IC_RGB
			nRadio_RGBColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_RGBCD_COLOR
			nRadio_IRColorDepth = ConstComVal.VAL_CONFIGDLG_RADIO_IRCD_GRAY
			bCheck_Scan_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_SC_SAVEFILE_ON
			nCombo_Resolution = ConstComVal.VAL_CONFIGDLG_COMBO_RE_200200

			' Step 3
			nRadio_MICRFont = ConstComVal.VAL_CONFIGDLG_RADIO_MF_E13B
			bCheck_MICR_ClearSpace = ConstComVal.VAL_CONFIGDLG_CHECK_MI_CLEARSPACE_OFF
			bCheck_MICR_SaveFile = ConstComVal.VAL_CONFIGDLG_CHECK_MI_SAVEFILE_OFF

			' Step 5
			nCombo_PrintStation = ConstComVal.VAL_CONFIGDLG_COMBO_PS_PRINTRECEIPT
			bCheck_Print_Scanning = ConstComVal.VAL_CONFIGDLG_COMBO_PR_SCANNING_OFF
			byNumeric_Ptinting_Number = 1
			bIsRollPaperSupported = True
		End Sub

		Public Sub Copy(sData As StructByStep)
			' Step 2
			nRadio_ScanningMedia = sData.nRadio_ScanningMedia
			nRadio_ImageChannel = sData.nRadio_ImageChannel
			nRadio_RGBColorDepth = sData.nRadio_RGBColorDepth
			nRadio_IRColorDepth = sData.nRadio_IRColorDepth
			bCheck_Scan_SaveFile = sData.bCheck_Scan_SaveFile
			nCombo_Resolution = sData.nCombo_Resolution

			' Step 3
			nRadio_MICRFont = sData.nRadio_MICRFont
			bCheck_MICR_ClearSpace = sData.bCheck_MICR_ClearSpace
			bCheck_MICR_SaveFile = sData.bCheck_MICR_SaveFile

			' Step 5
			nCombo_PrintStation = sData.nCombo_PrintStation
			bCheck_Print_Scanning = sData.bCheck_Print_Scanning
			byNumeric_Ptinting_Number = sData.byNumeric_Ptinting_Number
			bIsRollPaperSupported = sData.bIsRollPaperSupported
		End Sub
	End Class
End Namespace
